package de.meinefirma.meinprojekt;

import java.time.LocalDateTime;
import mockit.*;
import org.junit.*;

public class MittagspausenzeitTest
{
   @Test
   public void test12uhr( @Mocked final LocalDateTime dateTime )
   {
      new Expectations() {{
         LocalDateTime.now(); result = dateTime;
         dateTime.getHour();  result = Integer.valueOf( 12 );
      }};

      boolean isMittagspause = Mittagspausenzeit.isMittagspause();
      Assert.assertTrue( isMittagspause );
   }
}
