package restclient;

import javax.mail.Message;
import javax.mail.MessagingException;
import javax.mail.Session;
import javax.mail.Transport;
import javax.mail.internet.InternetAddress;
import javax.mail.internet.MimeMessage;
import java.util.Properties;

public class EMailVersendenUtil
{
   public static void versendeEMail( String betreff, String inhalt, String absender, String empfaenger, String smtpHost ) throws MessagingException
   {
      if( empfaenger != null && !empfaenger.isEmpty() && smtpHost != null && !smtpHost.isEmpty() ) {
         Properties properties = System.getProperties();
         properties.setProperty( "mail.smtp.host", smtpHost );
         Session session = Session.getDefaultInstance( properties );
         MimeMessage message = new MimeMessage( session );
         message.setFrom( new InternetAddress( absender ) );
         message.addRecipient( Message.RecipientType.TO, new InternetAddress( empfaenger ) );
         message.setSubject( betreff, "ISO-8859-1" );
         message.setText( inhalt, "UTF-8" );
         Transport.send( message );
      }
   }
}
